API v1 ReferenceKnowledge base
Create knowledge base item
Create a new Q&A item in the knowledge base with question, answer, and optional tags. Browse request parameters, authentication requirements, response…
Create a new Q&A item in the knowledge base with question, answer, and optional tags.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.orbiqhq.com/api/v1/knowledge-base" \ -H "Content-Type: application/json" \ -d '{ "question": "What is our data retention policy?", "answer_md": "We retain customer data for **7 years** as required by law.", "access_level": "public", "tags": [ "gdpr", "data-retention", "legal" ] }'{
"success": true,
"data": {
"qna": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"question": "string",
"answer": "string",
"answer_md": "string",
"access_level": "public",
"tags": [
"string"
],
"date_created": "2019-08-24T14:15:22Z",
"date_updated": "2019-08-24T14:15:22Z"
}
}
}{
"error": "Invalid input: question: String must contain at least 1 character(s)"
}Empty
Empty
How is this guide?